package com.pig4cloud.pig.marketing.api.valid;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

/**
 * @author: lwh
 * @date: 2025-07-29
 * @description: IP相关字段校验注解
 */

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {IPValidator.class})
@Documented
public @interface IPValidation {
	String message() default "IP校验失败：不符合sourceType与其他字段的关联规则";

	Class<?>[] groups() default {};

	Class<? extends Payload>[] payload() default {};
}

